#
# spec file for package iscan-firmware (Version 2.8.0.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           iscan-firmware
Url:            http://www.avasys.jp/english/linux_e/index.html
License:        Any commercial
Group:          Hardware/Scanner
AutoReqProv:    on
Summary:        Firmware files for Epson scanners
BuildArch:      noarch
# How to make Source0:
# Get the current source from the iscan-proprietary-drivers package.
# Build it locally.
# The build will install the esfw* firmware files in the
# usr/src/packages/BUILD/iscan-proprietary-drivers-2.8.0.1/usr/share/iscan/
# directory and the license files in
# usr/src/packages/BUILD/iscan-proprietary-drivers-2.8.0.1/usr/share/doc/iscan-plugin-*
# directories.
# Determine for which models the firmware files are:
# For each firmware file do "strings $firmware-file | grep ^EPSON".
# At the moment this results the following models:
# esfw41.bin: GT-F500
# esfw32.bin: GT-9400
# esfw52.bin: GT-F520
# esfw43.bin: GT-F600
# esfw54.bin: GT-X750
# esfw66.bin: GT-S600
# esfw68.bin: GT-F700
# esfw7A.bin: GT-F670
# Pack the esfw* firmware files and only the license files for which there is a firmware file.
# cd usr/src/packages/BUILD/
# tar -cjvf iscan-firmware-2.8.0.1.tar.bz2 iscan-proprietary-drivers-*/usr/share/iscan/esfw* iscan-proprietary-drivers-*/usr/share/doc/iscan-plugin-gt-f500-*/* iscan-proprietary-drivers-*/usr/share/doc/iscan-plugin-gt-9400-*/* iscan-proprietary-drivers-*/usr/share/doc/iscan-plugin-gt-f520-*/* iscan-proprietary-drivers-*/usr/share/doc/iscan-plugin-gt-f600-*/* iscan-proprietary-drivers-*/usr/share/doc/iscan-plugin-gt-x750-*/* iscan-proprietary-drivers-*/usr/share/doc/iscan-plugin-gt-s600-*/* iscan-proprietary-drivers-*/usr/share/doc/iscan-plugin-gt-f700-*/* 
Source0:        iscan-firmware-2.8.0.1.tar.bz2
# Use the same version number as the iscan-proprietary-drivers package version
# from which the firmware files are extracted:
Version:        2.8.0.1
Release:        72.2
# Install into this non-root directory (required when norootforbuild is used):
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%prep
# The directory in the Source0 archive is different:
%setup -n iscan-proprietary-drivers-%{version}

%build
# There is nothing to build.

%install
# The firmware files must be installed into this directory
# because the epkowa backend searches them in this directory:
install -d %{buildroot}%{_datadir}/iscan/
install -m 644 usr/share/iscan/esfw* %{buildroot}%{_datadir}/iscan/
# Install the documentation:
install -d %{buildroot}%{_defaultdocdir}/%{name}
pushd usr/share/doc
for d in *
do install -d %{buildroot}%{_defaultdocdir}/%{name}/$d
   install -m 644 $d/* %{buildroot}%{_defaultdocdir}/%{name}/$d
done
popd

%files
%defattr(-,root,root)
%doc %{_defaultdocdir}/%{name}/
%{_datadir}/iscan/

%description
Firmware files are only needed for the following scanners:

esfw41.bin: Perfection 2480 PHOTO / GT-F500, Perfection 2580 PHOTO /
GT-F550

esfw32.bin: Perfection 3170 PHOTO / GT-9400UF

esfw52.bin: Perfection 3490 PHOTO / GT-F520, Perfection 3590 PHOTO /
GT-F570

esfw43.bin: Perfection 4180 PHOTO / GT-F600

esfw54.bin: Perfection 4490 PHOTO / GT-X750

esfw66.bin: Perfection V10 / GT-S600, Perfection V100 PHOTO / GT-F650

esfw68.bin: Perfection V350 PHOTO / GT-F700

esfw7A.bin: Perfection V200 PHOTO / GT-F670

For the license see the EAPL and LICENSE files in
/usr/share/doc/packages/iscan-firmware/



Authors:
--------
    SEIKO EPSON Corporation

%changelog
* Thu Aug  2 2007 jsmeix@suse.de
- Updated to match our current iscan package version 2.8.0.1 and
  our current iscan-proprietary-drivers package version 2.8.0.1
  There is one new firmware file: esfw7A.bin
* Wed Oct 11 2006 jsmeix@suse.de
- Updated to match our current iscan package version 2.3.0.1 and
  our current iscan-proprietary-drivers package version 2.0.0.1
  There are two new firmware files: esfw66.bin and esfw68.bin
* Tue Sep 12 2006 jsmeix@suse.de
- Added "BuildArch: noarch" because it contains only scanner
  firmware files (and their license texts).
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 jsmeix@suse.de
- Initial version.
  The firmware and license files are from iscan 1.18.0.1
